pybal (1.15.10) buster-wikimedia; urgency=medium

  * New release for 741fbae (Bug: T321191)

 -- Sukhbir Singh <ssingh@wikimedia.org>  Fri, 13 Jan 2023 13:15:02 -0500

pybal (1.15.9) buster-wikimedia; urgency=medium

  * Reduce reconnect timeout for etcd to 0.1 seconds (T264362)

 -- Giuseppe Lavagetto <glavagetto@wikimedia.org>  Wed, 27 Jan 2021 12:46:38 +0100

pybal (1.15.8) buster-wikimedia; urgency=medium

  * Build for buster (T245984)

 -- Valentin Gutierrez <vgutierrez@wikimedia.org>  Mon, 24 Feb 2020 11:06:04 +0000

pybal (1.15.7) stretch-wikimedia; urgency=medium

  * Handle etcd 401 errors

 -- Valentin Gutierrez <vgutierrez@wikimedia.org>  Tue, 21 Jan 2020 11:03:12 +0000

pybal (1.15.6) stretch-wikimedia; urgency=medium
  * Fix proxy fetch multi URL cherry-pick

 -- Valentin Gutierrez <vgutierrez@wikimedia.org>  Tue, 07 May 2019 17:32:34 +0200

pybal (1.15.5) stretch-wikimedia; urgency=medium
  * Rollback kubernetes configuration observer due to a dependency issue on jessie

 -- Valentin Gutierrez <vgutierrez@wikimedia.org>  Tue, 07 May 2019 16:35:22 +0200

pybal (1.15.4) stretch-wikimedia; urgency=medium
  * Allow proxyfetch to check more than one url at a time
  * Avoid Deferred.cancel() induced CancelledErrors
  * Add unit tests for ProxyFetchMonitoringProtocol
  * Add minimal test cases for Skeleton and ProxyFetch
  * Create MonitoringProtocolTestCase base class
  * Implement kubernetes configuration observer (Bug: T192437)

 -- Valentin Gutierrez <vgutierrez@wikimedia.org>  Tue, 07 May 2019 15:54:19 +0200

pybal (1.15.3) stretch-wikimedia; urgency=medium
  * First Debian stretch release (Bug: T177961)
  * Fix dummy metrics implementation (Bug: T190527)
    49d297585edfb5fd9152cd6675904bd06656fbbd
  * Bump python package version to 1.15
    d2535baff3aae405232959db359cbcf46450a8e6

 -- Valentin Gutierrez <vgutierrez@wikimedia.org>  Tue, 03 Apr 2018 15:49:49 +0200

pybal (1.15.2) jessie-wikimedia; urgency=medium

  * Ensure per-service-MED is an integer
    c22dae5bbffe6dd2faf1a254f3992f3dad59987c

 -- Valentin Gutierrez <vgutierrez@wikimedia.org>  Thu, 08 Mar 2018 14:19:17 +0100

pybal (1.15.1) jessie-wikimedia; urgency=medium

  * Fix MPReachNLRIAttribute generation
    77430defa915ad09310a109e0acc6aac0f557635

 -- Valentin Gutierrez <vgutierrez@wikimedia.org>  Tue, 06 Mar 2018 17:58:44 +0100

pybal (1.15.0) jessie-wikimedia; urgency=medium

  * Add peer address information to BGP and FSM log lines (Bug: T188085)
    8c2dce2d9c4400bbba137de2554adcbcfe6576f3

  * Fix inconsistent label name (Bug: T188085)
    c150bd3b8a5d472e951328f6337e99d5a936ac8a

  * Fix log method invocation (Bug: T188085)
    c58c7d283ac373911b5d8f5f69073956f19ffa4c

  * Prefix log lines with the class name (Bug: T188085)
    f3161bf1e86baf9a6b809c01bd218640023d25ee

  * Improve naming of the new BGP metric names and labels (Bug: T188085)
    4f787286bca01ce55817cd304b7087328cc09513

  * Provide unique logging for BGP instances (Bug: T188085)
    8181b72447138d3eeafd76dae515fb3833b3870e

  * Provide an UDP monitor (Bug: T178151)
    d3358e9d7e36cd9b7872bd94b83864ac271bd804

  * Add a test case for removing previously existing servers
    45ead115b03fcb098ea9f568b44e95e09be055fe

  * Provide testing for FSM.BGPTimer (Bug: T188085)
    97219b8f3fa9ed6147ca428fcc989be64018a564

  * Add unit tests for Coordinator methods
    9dc84cc5f9dc8b4a3a6a87ee3b9f0b4d5bec4937

  * Provide BGP session state visibility for every ASN/peer (Bug: T188085)
    bbe4f1f3f95eb457b88cd000a1a81170169d8523

  * Provide test cases for BGP parsing (Bug: T188085)
    b82f87a0ef390aee3f11524dfe5c881b3e693c9d

  * etcd: Improve reactor mocking (Bug: T169765)
    309f08ade5fcc9c701d34fb5c2b82ba6f029521e

 -- Valentin Gutierrez <vgutierrez@wikimedia.org>  Mon, 05 Mar 2018 12:33:06 +0100

pybal (1.14.4) jessie-wikimedia; urgency=medium

  * etcd: Introduce reconnectTimeout (Bug: T169765)
    c917f59f4c37c7b89f15d0fd8b375de028d4a90b

 -- Emanuele Rocca <ema@wikimedia.org>  Wed, 21 Feb 2018 12:40:43 +0100

pybal (1.14.3) jessie-wikimedia; urgency=medium

  * Use up-and-enabled servers in can-depool logic (Bug: T184715)
    1264a784bbcbedee37466102246775e2ee26367a

  * Alerts instrumentation: return instance of bytes (Bug: T184721)
    3505626c9d1590e84525560edbc2f5bf01a7be99

 -- Emanuele Rocca <ema@wikimedia.org>  Wed, 17 Jan 2018 16:49:48 +0100

pybal (1.14.2) jessie-wikimedia; urgency=medium

  * runcommand: do not crash on empty runcommand.arguments (Bug: T178149)
    2c71344b3f6dfae7a2659bcc925fc746af7b0dca

 -- Emanuele Rocca <ema@wikimedia.org>  Mon, 16 Oct 2017 11:34:32 +0200

pybal (1.14.1) jessie-wikimedia; urgency=medium

  * instrumentation: pools with one server are not misconfigured (Bug: T177815)
    cb1389bccbf9c44380d37162a83b38e435bde813

 -- Emanuele Rocca <ema@wikimedia.org>  Thu, 12 Oct 2017 11:46:28 +0200

pybal (1.14.0) jessie-wikimedia; urgency=medium

  * Add BGP MED support (Bug: T165764, T165584)
    a6ae55449d6986d469e808d8b87d21158f59ccda

  * Allow BGP socket to listen on specific IPs and port (Bug: T176182, T103882)
    c5f284cb95a7c219eb1b61153500215d3566573f

  * Add prometheus metrics (Bug: T171710)
    2afb6e8904ecd1879b4106985d79962bf9ad587d

  * Re-think the alerts instrumentation
    8ecfb3c7c298f0f01a875d953df11daf76595d59

  * Add warning for badly configured pools
    7e0146fdd87860d0456b0b7eaff35511b6603622

  * instrumentation: fixup for Ib0b3c139a
    ba97fcb69c30bfd77fd3e02b12c1161108f64846

  * Add notes on branching/releasing
    314abec680bc8552a079464c7d1ae7698bc17473

  * Add pyenv and pydev config files to .gitignore
    c72db0233e838bb0451c6e726fd8141609ce558b

  * Cleanup whitespace
    248b5bd6c4b24a0fe7dc9669e9c4bbff098e2a69

  * Use a bytearray to encode prefixes in BGP.encodePrefixes
    3b3154ce6984d5d47b7d4e895d4125abe45bdc1b

  * Use a bytearray to build IPPrefix
    bf6e4ea8719ec8b53267ddce366ba1bffc3bbd15

  * Create new BGP message classes for incremental construction
    d9ff3fb5ac96a8881094de93f8a92321b085bbd4

  * Adapt NaiveBGPPeering to support UPDATE message overflow
    cac4528c0879fad4a718bc660348a76f3da05cc4

  * Allow for withdrawals and NLRI to be sent in the same UPDATE
    41810d3103e150e18499b872595cef5eecc9a501

  * Add GPLv2 license header to bgp.py
    8ab77f6424cf35ba0a1e15383c6dd9e2b1ed4a12

  * Move BGP classes to bgp.bgp, IP classes to bgp.ip
    8aef1d85416264f63869218f390805bb8c8598fc

  * bgp: add a few unit tests
    c27863ba6ab847f3074b96da175714c0fe21083a

  * Add BGPUpdateMessage test cases
    f1a4ca8e84adf50ecef146ca95e5ead8b813d2b6

  * Add GPLv2 header to bgp/ip.py
    297a08d4e6bd3d3dcf3d9a7c9705d2c9d5020cd2

  * Fix IPPrefix IPv6 string padding bug
    deed00cbafc4ea4ce3decd422dc90c707172dabc

  * Add IPv4IP, IPv6IP and IPPrefix test cases
    7ab50758e150c89bb051b9dccede9d41c079b9ba

  * bgp.ip: do not crash on unicode strings
    199e743a3a2dca81b02cedbc322006a08e03680e

  * Move BGP tests into a sub package and add to pybal test suite
    86b4087ad59b187d6cb3d96ab94d5025f1fa08ca

  * Split up pybal.pybal in smaller files
    e760192d3b3f38e1e2d034fb1854b3ca47674c0c

  * Add some protocol BGP class test cases
    05a3ef2f6a4c7602b8fb9ac6a88bd09336f03ebc

  * Add bgp.ip unit test cases
    0516b7b8f1cb8a9db755c5132d5564aec425f8dc

  * Add basic unit tests for protocol BGP send methods
    79a13854724d3cdae11fd67f2e0eb537cc724e6c

  * Add BGP.parseOpen unit test cases
    07f12ef7618c49fd27e3b78e93c2b1927687f494

  * Fix IPPrefix value comparisons with different packed paddings
    c7c8e8b7c1853b2ebd6ea13d9c0601304ec391ef

  * Add basic BGP.parseUpdate test case
    b0dda99e11ae7e3cff3f1a2e84e11c727f5af732

  * Add BGP.parse{KeepAlive,Notification} test cases
    083e823614c401fc57eca53310754ea566ef9194

  * Add generic monitor metrics
    664e3ad319d4edfa966587225c3866e8780d77b7

  * Add monitoring specific metric to ProxyFetch
    89bc7269a4fcc9dc44ae43dbff4668dfab8ed5df

  * Add monitoring specific metric to DNSQuery
    4c4e16faa625f5e6a22ccb3f6127aa4121b0d9d9

  * Add monitoring specific metric to RunCommand
    049446a087cae4c3804b05d35c136cb6d6755569

  * Handle failing TCP socket options in IdleConnection
    1feae403c67b3ee328ded19063c4a39c01f9b6f7

  * Add monitoring specific metric to IdleConnection
    9904aaa2b10a9d6d7f6fbc2437aea0be7f6973de

  * coordinator: exit if exceptions are raised importing monitors
    5e8e4577a1fe72781f524a929e606bf14a62cff9

  * Add pybal service (coordinator) metrics
    99c55e1fbd3643b166d17c76e39120b9d1245de2

  * Add metric pybal_service_depool_threshold
    2b428a53fec89fa38203bf5b8bb7eb58375b589b

 -- Emanuele Rocca <ema@wikimedia.org>  Tue, 19 Sep 2017 15:55:19 +0200

pybal (1.13.11) jessie-wikimedia; urgency=medium

  * Instrumentation fixes
    - introduce a new global configuration option, 'instrumentation_ips', to
      specify the IPs on which to bind the instrumentation TCP port
      (Bug: #T103882)
    - use Content-Type: text/plain by default, application/json when returning
      JSON content
    - do not mention the URL in 404 responses
  * Set empty PYTHONPATH in tox.ini to fix test execution

 -- Emanuele Rocca <ema@wikimedia.org>  Tue, 01 Aug 2017 09:18:56 +0200

pybal (1.13.10) jessie-wikimedia; urgency=medium

  * Add support for One-packet scheduling (OPS) (Bug: #T104442)

 -- Emanuele Rocca <ema@wikimedia.org>  Wed, 26 Jul 2017 19:26:13 +0200

pybal (1.13.9) jessie-wikimedia; urgency=medium

  * Reset waitIndex when connection is lost in a unclean way (Bug: #T169893)

 -- Emanuele Rocca <ema@wikimedia.org>  Thu, 13 Jul 2017 11:29:15 +0200

pybal (1.13.8) jessie-wikimedia; urgency=medium

  * Reset the waitIndex when connection is lost or failed (Bug: #T169893)
  * DnsQuery monitor: query over IPv4 (Bug: #T82747)

 -- Emanuele Rocca <ema@wikimedia.org>  Thu, 13 Jul 2017 10:51:12 +0200

pybal (1.13.7) jessie-wikimedia; urgency=medium

  * Add IPv6 support to all monitors (Bug: #T82747)
  * Include IP and port information in IdleConnection logs

 -- Emanuele Rocca <ema@wikimedia.org>  Tue, 04 Jul 2017 15:50:28 +0200

pybal (1.13.6) jessie-wikimedia; urgency=medium

  * Change the default behavior for LVS services from not being announced via
    BGP to be announced

 -- Alexandros Kosiaris <alex@wikimedia.org>  Fri, 12 May 2017 14:00:21 +0300

pybal (1.13.5) jessie-wikimedia; urgency=medium

  * pybal.monitor.MonitoringProtocol: do not crash with ValueError on unicode
    strings

 -- Emanuele Rocca <ema@wikimedia.org>  Mon, 13 Feb 2017 15:29:04 +0100

pybal (1.13.4) jessie-wikimedia; urgency=medium

  * Allow to specify configuration file name on the CLI (-c)
  * Log a warning on empty responses from etcd
  * Use caller function module name as log prefix (eg: pybal, etcd) for logs
    with severity WARN or higher
  * Log etcd connection state changes (made/failed/lost)

 -- Emanuele Rocca <ema@wikimedia.org>  Thu, 26 Jan 2017 09:48:27 +0100

pybal (1.13.3) jessie-wikimedia; urgency=medium

  * Allow the etcd driver to handle deleted/inactive nodes, more robustness

 -- Giuseppe Lavagetto <glavagetto@wikimedia.org>  Fri, 05 Feb 2016 09:35:01 +0100

pybal (1.13.2) jessie-wikimedia; urgency=medium

  * Fix a race condition in the alerting
  * Add config options for IdleConnectionMonitor KeepAlive

 -- Giuseppe Lavagetto <glavagetto@wikimedia.org>  Mon, 07 Dec 2015 17:06:44 +0100

pybal (1.13.1) jessie-wikimedia; urgency=medium

  * Fix alerting typo

 -- Giuseppe Lavagetto <glavagetto@wikimedia.org>  Wed, 18 Nov 2015 17:00:22 +0100

pybal (1.13) jessie-wikimedia; urgency=medium

  * Reverted ansyncronous execution of ipvsadm, as it caused race conditions to happen

 -- Giuseppe Lavagetto <glavagetto@wikimedia.org>  Wed, 18 Nov 2015 15:49:48 +0100

pybal (1.12.1) jessie-wikimedia; urgency=medium

  * Fix instrumentation config

 -- Giuseppe Lavagetto <glavagetto@wikimedia.org>  Mon, 16 Nov 2015 15:28:14 +0100

pybal (1.12) jessie-wikimedia; urgency=medium

  * IdleConnection: set tcp keepalive
  * Add EtcdConfigurationObserver to consume configuration dynamically from etcd
  * Convert logging from print to twisted.python.log

 -- Giuseppe Lavagetto <glavagetto@wikimedia.org>  Fri, 30 Oct 2015 11:44:14 +0100

pybal (1.11.1) jessie-wikimedia; urgency=medium

  * Fix a typo in Proxyfetch, systemd unit file

 -- Giuseppe Lavagetto <glavagetto@wikimedia.org>  Tue, 06 Oct 2015 14:16:17 +0200

pybal (1.11) jessie-wikimedia; urgency=medium

  * Systemd support, removal of unneeded code (daemonization, file logging)
  * Added instrumentation HTTP server
  * ProxyFetch now supports specifying the http_status

 -- Giuseppe Lavagetto <glavagetto@wikimedia.org>  Sat, 03 Oct 2015 11:09:42 +0200

pybal (1.10) jessie-wikimedia; urgency=medium

  * Use reload instead of force-reload when running logrotate

 -- Giuseppe Lavagetto <glavagetto@wikimedia.org>  Wed, 16 Sep 2015 17:13:51 +0200

pybal (1.09) jessie-wikimedia; urgency=low

  * Revert `Lint: make ConfigDict methods lowerCamelCase`

 -- Ori Livneh <ori@wikimedia.org>  Tue, 1 Sep 2015 05:37:00 +0000

pybal (1.08) jessie-wikimedia; urgency=low

  * Lint fixes for I695ce535 and I526d5737
  * Add unit tests for HttpConfigurationObserver
  * Add unit tests for FileConfigurationObserver
  * Initial commit of ConfigurationObserver unit tests
  * Migrate get_subclasses to pybal.util; add unit tests
  * Lint: make ConfigDict methods lowerCamelCase
  * Add HttpConfigurationObserver
  * Make FileConfigurationObserver easier to extend
  * Make util.py PEP8-compliant
  * Drop inotify; improve documentation and handling of configuration formats
  * Add missing import
  * Introduce ConfigurationObserver class
  * Add '__version__' and 'USER_AGENT_STRING'
  * Use INotify to watch for configuration file changes
  * Make util.getboolean handle booleans gracefully
  * Fix travis and coverall configuration
  * Don't omit 'test'
  * Fix .travis.yml test invocation command
  * Report code coverage to coveralls

 -- Ori Livneh <ori@wikimedia.org>  Mon, 31 Aug 2015 19:09:00 +0000

pybal (1.07) trusty; urgency=medium

  * Fix monitors.runcommand to work with newer twisted versions
  * Make the ipvsadm invocation non-blocking, also check the exit code

 -- Giuseppe Lavagetto <glavagetto@wikimedia.org>  Mon, 20 Apr 2015 09:58:00 +0200

pybal (1.06) precise; urgency=low

  * Fix daemonization stdio issues
  * Fix BGP bugs on unclean session close

 -- Brandon Black <bblack@wikimedia.org>  Thu, 05 Jun 2014 15:01:13 +0000

pybal (1.05) precise; urgency=low

  * DNSQuery changes:
    - Use IPv4 DNS servers only, small fixes
    - Small fixes
    - Support CNAMEs

 -- Mark Bergsma <mark@wikimedia.org>  Fri, 06 Jul 2012 15:22:14 +0000

pybal (1.04) precise; urgency=high

  * Fix severe bug introduced in previous version where up statis is
    miscalculated
  * Add a new DNSQuery monitor

 -- Mark Bergsma <mark@wikimedia.org>  Fri, 06 Jul 2012 13:05:41 +0000

pybal (1.03) precise; urgency=low

  * Fix bug where bgp-nexthop-ipv4/6 config variables are always required
  * Add bgp-nexthop-ipv4/6 examples in pybal.conf

 -- Mark Bergsma <mark@wikimedia.org>  Thu, 05 Jul 2012 18:22:56 +0000

pybal (1.02) precise; urgency=low

  * Add IPv6 BGP prefix advertisement support to PyBal
  * Use 16 bit example ASNs for now, PyBal doesn't support 32 bit yet
  * Fix bug where monitors would not get deinitialized properly

 -- Mark Bergsma <mark@wikimedia.org>  Thu, 05 Jul 2012 11:40:15 +0000

pybal (1.01) precise; urgency=low

  * Fix erroneous use of str.find()
  * Catch and handle server list load errors
  * Set umask 022 for the daemon
  * Simplify subCommandServer
  * Make sure we don't pass any IPv6 service IP addresses to BGP at the moment
  * Replace some too generic exception handlers by more specific exceptions in bgp.py
  * Fix bug where BGPPeering.manualStop() would not fire callbacks

 -- Mark Bergsma <mark@wikimedia.org>  Tue, 05 Jun 2012 08:51:13 +0000

pybal (1.00) precise; urgency=low

  [ Faidon Liambotis ]
  * Add b-d on python-all and use dh_python2

  [ Mark Bergsma ]
  * Add basic IPv6 support to PyBal

 -- Mark Bergsma <mark@wikimedia.org>  Mon, 04 Jun 2012 14:29:43 +0000

pybal (0.1+r20120524-1) lucid; urgency=low

  * Refactor Debian package & init script.

 -- Faidon Liambotis <paravoid@debian.org>  Thu, 24 May 2012 20:36:23 +0300

pybal (0.1+r74215) lucid; urgency=low

  * Newer TwistedBGP revision, fixing a bug where old BGP advertisements are
    not (re)sent on a new connection.

 -- Mark Bergsma <mark@wikimedia.org>  Sun, 03 Oct 2010 14:48:43 +0000

pybal (0.1+r66395) lucid; urgency=low

  * Newer TwistedBGP revision, fixing a bug with an inappropriate callback

 -- Mark Bergsma <mark@wikimedia.org>  Thu, 13 May 2010 21:08:28 +0000

pybal (0.1+r53139-3) lucid; urgency=low

  * Newer TwistedBGP revision

 -- Mark Bergsma <mark@wikimedia.org>  Tue, 11 May 2010 14:46:54 +0000

pybal (0.1+r53139-2) lucid; urgency=low

  * Build for Lucid

 -- Mark Bergsma <mark@wikimedia.org>  Tue, 11 May 2010 12:00:55 +0000

pybal (0.1+r53139-1) hardy; urgency=low

  * New upstream version

 -- Mark Bergsma <mark@wikimedia.org>  Sun, 12 Jul 2009 18:19:45 +0000

pybal (0.1+r47293-1) hardy; urgency=low

  * New upstream version

 -- Mark Bergsma <mark@wikimedia.org>  Sun, 15 Feb 2009 16:08:55 +0000

pybal (0.1+r40193-1) hardy; urgency=low

  * New upstream version

 -- Mark Bergsma <mark@wikimedia.org>  Thu, 28 Aug 2008 21:45:13 +0000

pybal (0.1+r39185-1) hardy; urgency=low

  * New version

 -- Mark Bergsma <mark@wikimedia.org>  Mon, 11 Aug 2008 21:57:53 +0000

pybal (0.1+r39178-1) hardy; urgency=low

  * New version

 -- Mark Bergsma <mark@wikimedia.org>  Mon, 11 Aug 2008 21:28:27 +0000

pybal (0.1+r39168-1) hardy; urgency=low

  * New upstream version
  * Fix init.d script to correct duplicate instances
  * Update example configuration file

 -- Mark Bergsma <mark@wikimedia.org>  Mon, 11 Aug 2008 19:20:32 +0000

pybal (0.1+r20262-2) feisty; urgency=low

  * Build for Feisty and hard depend on python >= 2.5 to prevent being
    installed on Edgy

 -- Mark Bergsma <mark@wikimedia.org>  Thu, 14 Jun 2007 19:54:38 +0000

pybal (0.1+r20262) edgy; urgency=low

  * Update to r20262

 -- Mark Bergsma <mark@wikimedia.org>  Thu,  8 Mar 2007 20:28:46 +0000

pybal (0.1+r20236) edgy; urgency=low

  * Initial Release.

 -- Mark Bergsma <mark@wikimedia.org>  Thu,  8 Mar 2007 17:08:31 +0000
